curl -X POST https://app.drime.cloud/api/v1/file-entries/123456/unshare \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": 12345
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/unshare', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
userId: 12345
})
});
const { users } = await response.json();
console.log('Remaining shared users:', users);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/123456/unshare',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'userId': 12345}
)
users = response.json()['users']
print(f'Remaining shared users: {users}')
{
"status": "success",
"users": []
}
Sharing
Unshare Entry
Remove sharing access from a user
POST
/
file-entries
/
{entryId}
/
unshare
curl -X POST https://app.drime.cloud/api/v1/file-entries/123456/unshare \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": 12345
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/unshare', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
userId: 12345
})
});
const { users } = await response.json();
console.log('Remaining shared users:', users);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/123456/unshare',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'userId': 12345}
)
users = response.json()['users']
print(f'Remaining shared users: {users}')
{
"status": "success",
"users": []
}
Overview
Removes a user’s access to a shared file or folder.You can pass multiple entry IDs separated by commas in the path
(e.g.
/file-entries/123,456/unshare) to unshare several entries at once.Path Parameters
string
required
ID of the shared file or folder. Accepts a single ID or several IDs separated by commas.
Request Body
integer | string
required
ID of the user to remove access from. Pass the string
"me" to remove yourself
from a share (no permission on the entry is required in that case).Response
array
Updated list of users who still have access
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/file-entries/123456/unshare \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": 12345
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/unshare', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
userId: 12345
})
});
const { users } = await response.json();
console.log('Remaining shared users:', users);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/123456/unshare',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'userId': 12345}
)
users = response.json()['users']
print(f'Remaining shared users: {users}')
{
"status": "success",
"users": []
}